
<!DOCTYPE html public "-//W3C//DTD HTML 4.0 Transitional//EN">
<HTML>
<HEAD>
<TITLE>Repartition Match</TITLE>
</HEAD>
<link rel="stylesheet" href="admin.css">
<BODY>
<div align=center class=trTitle>- Statistiques Paris et Mises (évolution et répartition) -</DIV>
<p>&nbsp;</p>
<script>
function func(textarea,val) {
	textarea.value=val;	
}
</script>
<?php
include("../config.php3");
include($BIB."bib_generic.php3");
include($BIB."bib_drapeaux.php3");

##################################
# Administration script defaults #
##################################

# pas de timeout possible qql soit l'action effectuée
#* set_time_limit(600);


#############
# CONSTANTS #
#############

$LOG_FILE = "stats";
$EXT = ".log";
$LOG_FILE_DATE_FORMAT = "d-m-Y";
$DATE_FORMAT = "Y-m-d H:i:s";


##################
# START function #
##################

function nb_joueurs_bet($match,$bet,$type)
{
	$resultat = db_fetch_array(main_db_query("SELECT Result FROM Matchs WHERE MatchId='$match'"));
	$restbet = explode ('-',$bet);
	$restres = explode ('-',$resultat[Result]);
	$countORsum = ($type != 'n')?"SUM":"COUNT";

	$nb=" class='univers' ";
	
	if ($bet=="Team1" || $bet=="Team2")
	{
		$nom = db_fetch_array(main_db_query("SELECT ".$bet." FROM Matchs WHERE MatchId='$match'"));
		$nb = $nom[$bet];
	}
	
	elseif ($bet=="sup1")# pour la case avec equipe 1 qui gagne avec + de 6 buts
	{
		if ($restres[0]>6 && $restres[0]>$restres[1] && $resultat[Result]!='0') $nb.=" style='background-color: #ffff99' ";
		$nb.=" align=center>";
		$nbtot = db_fetch_array(main_db_query
			(
				"SELECT ".$countORsum."(Paris.Amount) AS total 
				FROM Paris LEFT JOIN Matchs ON Paris.MatchId=Matchs.MatchId 
				WHERE Paris.MatchId='$match' 
				AND LEFT(Paris.Bet,LOCATE('-',Paris.Bet)-1)>6
				AND LEFT(Paris.Bet,LOCATE('-',Paris.Bet)-1)>RIGHT(Paris.Bet,LENGTH(Paris.Bet)-LOCATE('-',Paris.Bet))"
			));
		$nb.= ($nbtot[total]=="" || $nbtot[total]==0)?"0":"<a href='parieurs.php3?bet=$bet&match=$match' target='parieurs'>".$nbtot[total]."</a>";
	}
	
	elseif ($bet=="supN") #pour la case avec match nuls sup à 6-6
	{
		if ($restres[0]>6 && $restres[1]>6 && $restres[0]=$restres[1] && $resultat[Result]!='0') $nb.=" style='background-color: #ffff99' ";
		$nb.=" align=center>";
		$nbtot = db_fetch_array(main_db_query
			(
				"SELECT ".$countORsum."(Paris.Amount) AS total 
				FROM Paris LEFT JOIN Matchs ON Paris.MatchId=Matchs.MatchId 
				WHERE Paris.MatchId='$match' 
				AND LEFT(Paris.Bet,LOCATE('-',Paris.Bet)-1)>6
				AND RIGHT(Paris.Bet,LENGTH(Paris.Bet)-LOCATE('-',Paris.Bet))>6
				AND LEFT(Paris.Bet,LOCATE('-',Paris.Bet)-1)=RIGHT(Paris.Bet,LENGTH(Paris.Bet)-LOCATE('-',Paris.Bet))"
			));
		$nb.= ($nbtot[total]=="" || $nbtot[total]==0)?"0":"<a href='parieurs.php3?bet=$bet&match=$match' target='parieurs'>".$nbtot[total]."</a>";
	}
	
	elseif ($bet=="sup2") #pour la case avec equipe 2 qui gagne avec + de 6 buts
	{
		if ($restres[1]>6 && $restres[0]<$restres[1] && $resultat[Result]!='0') $nb.=" style='background-color: #ffff99' ";
		$nb.=" align=center>";
		$nbtot = db_fetch_array(main_db_query
			(
				"SELECT ".$countORsum."(Paris.Amount) AS total 
				FROM Paris LEFT JOIN Matchs ON Paris.MatchId=Matchs.MatchId 
				WHERE Paris.MatchId='$match' 
				AND RIGHT(Paris.Bet,LENGTH(Paris.Bet)-LOCATE('-',Paris.Bet))>6
				AND LEFT(Paris.Bet,LOCATE('-',Paris.Bet)-1)<RIGHT(Paris.Bet,LENGTH(Paris.Bet)-LOCATE('-',Paris.Bet))"
			));
		$nb.= ($nbtot[total]=="" || $nbtot[total]==0)?"0":"<a href='parieurs.php3?bet=$bet&match=$match' target='parieurs'>".$nbtot[total]."</a>";
	}
	
	else
	{
		if ($bet==$resultat[Result] && $resultat[Result]!='0') $nb.=" style='background-color: #ffff99' ";
		$nb.=" align=center>";
		$href1=$href2="";
		if ($bet!="total")$href1="<a href='parieurs.php3?bet=$bet&match=$match' target='parieurs'>";
		if ($bet!="total")$href2="</a>";
		$andbet = ($bet!="total")? " AND Bet='$bet' ":"";
		
		$nbtot = db_fetch_array(main_db_query("SELECT ".$countORsum."(Paris.Amount) AS total FROM Paris WHERE MatchId='$match'".$andbet));
		$nb .= ($nbtot[total]=="" || $nbtot[total]==0)?"0":$href1.$nbtot[total].$href2;
	}
	echo $nb;
}

function nb_gagn_perd ($match,$type,$plus)
{
	$resultat = db_fetch_array(main_db_query("SELECT Result FROM Matchs WHERE MatchId='$match'"));
	$countORsum = ($type != 'n')?"SUM":"COUNT";
	$a = explode('-',$resultat[Result]);
	$left=" LEFT(Paris.Bet,LOCATE('-',Paris.Bet)-1) ";
	$right=" RIGHT(Paris.Bet,LENGTH(Paris.Bet)-LOCATE('-',Paris.Bet)) ";

	if ($plus==1 || $plus==2)
	{
		if ("$a[0]"=="$a[1]")
		{
			$signe = "=";
		}
		if ("$a[0]">"$a[1]")
		{
			$signe = ">";
		}
		if ("$a[0]"<"$a[1]")
		{
			$signe = "<";
		}
		if ($plus==1)
			$nb = db_fetch_array(main_db_query
			(
				"SELECT ".$countORsum."(Paris.Amount * Matchs.Rate1) AS total 
				FROM Paris LEFT JOIN Matchs ON Paris.MatchId=Matchs.MatchId 
				WHERE Paris.MatchId='$match' AND ".$left.$signe.$right." 
				AND Matchs.Result=Paris.Bet"
			));
		if ($plus==2)
			$nb = db_fetch_array(main_db_query
			(
				"SELECT ".$countORsum."(Paris.Amount * Matchs.Rate2) AS total 
				FROM Paris LEFT JOIN Matchs ON Paris.MatchId=Matchs.MatchId 
				WHERE Paris.MatchId='$match' AND ".$left.$signe.$right." 
				AND Matchs.Result!=Paris.Bet"
			));
	}

	else
	{
		if ("$a[0]"=="$a[1]")
		{
			$and = " AND ".$left."!=".$right;
		}
		if ("$a[0]">"$a[1]")
		{
			$and = " AND (".$left."=".$right." || ".$left."<".$right.")";
		}
		if ("$a[0]"<"$a[1]")
		{
			$and = " AND (".$left."=".$right." || ".$left.">".$right.")";
		}
		$nb = db_fetch_array(main_db_query
		(
			"SELECT ".$countORsum."(Paris.Amount) AS total 
			FROM Paris LEFT JOIN Matchs ON Paris.MatchId=Matchs.MatchId 
			WHERE Paris.MatchId='$match' ".$and
		));
	}

	$nb[total] = round ($nb[total]);
	if ($resultat[Result]=='0')$nb[total]=0;
	return ($nb[total]=="")?0:$nb[total];
}

function nb_pour_cote ($match,$team,$type)
{
	$resultat = db_fetch_array(main_db_query("SELECT Result FROM Matchs WHERE MatchId='$match'"));
	$a = explode('-',$resultat[Result]);
	$countORsum = ($type != 'n')?"SUM":"COUNT";
	$left=" LEFT(Paris.Bet,LOCATE('-',Paris.Bet)-1) ";
	$right=" RIGHT(Paris.Bet,LENGTH(Paris.Bet)-LOCATE('-',Paris.Bet)) ";
	if ($team==0) $signe = "=";
	if ($team==1) $signe = ">";
	if ($team==2) $signe = "<";
	$nb = db_fetch_array(main_db_query
	(
		"SELECT ".$countORsum."(Paris.Amount) AS total 
		FROM Paris LEFT JOIN Matchs ON Paris.MatchId=Matchs.MatchId 
		WHERE Paris.MatchId='$match' 
		AND ".$left.$signe.$right
	));
	return round($nb[total]);
}

function lStrToTime($str)
{
	$t = split("[ :-]",$str);
	return mktime($t[3],$t[4],$t[5],$t[1],$t[2],$t[0]);
}

function TimeToStr($aTime)
{
	global $DATE_FORMAT;
	return date($DATE_FORMAT,$aTime);
}

function fileDateFormat($aTime)
{
	global $LOG_FILE_DATE_FORMAT;
	return date($LOG_FILE_DATE_FORMAT,$aTime);
}

function showRow($row)
{
	static $iColor;
	
	$color = ($iColor % 2 == 0)? "#FFFFFF":"#E8E8E8";
	$iColor++;
	$t = explode(";",$row);
	echo "<tr bgcolor=".$color." class='univers'>";
	for($r=0;$r<(count($t)-1);$r++)
	{
		echo "<td align=center>".$t[$r]."</td>";
	}
	echo "</tr>";
}

#################
# END functions #
#################
?>
	<form name=main action='repartitionmatch.php3' method="post">
<table align=center border=0 cellpadding=5 cellspacing=5 style="FONT-FAMILY: Arial; font-size : xx-small;">
<tr>
	<td align=center colspan=2 class='trTitle'>
	le Match...
	</td>
</tr>
<tr>
	<td class='univers' align=center>
	Match numéro <INPUT name="match" size="5" value="<? echo $match; ?>" class='univers'>
	</td>
</tr>
<tr>
	<td class='univers' align=center bgcolor="#eeeeee">
	<input type="radio" <? if ($type!="m") echo "checked"; ?> name="type" value="n" class='univers'> Nombre de Paris<br>
	<input type="radio" <? if ($type=="m") echo "checked"; ?> name="type" value="m" class='univers'> Mises
	</td>
</tr>
<tr>
	<td align=center class='univers' bgcolor="#dddddd">
	Pas <INPUT name="Pas" size="8" value="<? echo ($Pas!="")?$Pas:"86400"; ?>" class='univers'>
	&nbsp;<input type="button" value="1h" onClick="javascript:func(main.Pas,'3600');" class='univers'>
	&nbsp;<input type="button" value="4h" onClick="javascript:func(main.Pas,'14400');" class='univers'>
	&nbsp;<input type="button" value="12h" onClick="javascript:func(main.Pas,'43200');" class='univers'>
	&nbsp;<input type="button" value="24h" onClick="javascript:func(main.Pas,'86400');" class='univers'>
	</td>
</tr>
<tr>
	<td align=center colspan=2>
	<input type="submit" value="Dessiner" class='univers'>&nbsp;
	<INPUT type="reset" value="Annuler" class='univers'>
	</td>
</tr>
</table>
</FORM>


<table>
<tr>
	<td width=50%>

	
	
<table width="0" border="1" cellspacing="3" cellpadding="5" align=center>
<tr>
    <td align=right colspan=2 class='trTitle'>Repartition par Resultat</td>
    <td align=right class='trTitle'>%</td>
</tr>
<tr>
    <td align=right class='trTitle'><? echo ($type=="m")?"total des Mises":"Nb total de Paris"; ?></td>
    <td align=right<? nb_joueurs_bet($match,'total',$type) ?></td>
    <td align=right><? echo ($type=="m")?"":"100"; ?></td>
</tr>
<tr>
    <td align=right class='trTitle'><? echo ($type=="m")?"Gains sur Perfects":"Perfects"; ?></td>
    <td align=right class='univers'><?
echo nb_gagn_perd($match,$type,1);
?></td>
    <td align=right><?
$somm = nb_gagn_perd($match,$type,2) + nb_gagn_perd($match,$type,0) + nb_gagn_perd($match,$type,1);
echo ($somm==0)?"0":round(10000*(nb_gagn_perd($match,$type,1)/$somm))/100;
?></td>
</tr>
<tr>
    <td align=right class='trTitle'><? echo ($type=="m")?"Gains sur Gagnants":"Gagnants"; ?></td>
    <td align=right class='univers'><?
echo nb_gagn_perd($match,$type,2);
?></td>
    <td align=right><?
echo ($somm==0)?"0":round(10000*(nb_gagn_perd($match,$type,2)/$somm))/100;
?></td>
</tr>
<tr>
    <td align=right class='trTitle'><? echo ($type=="m")?"Pertes":"Perdants"; ?></td>
    <td align=right class='univers'><?
echo nb_gagn_perd($match,$type,0);
?></td>
    <td align=right><?
echo ($somm==0)?"0":round(10000*(nb_gagn_perd($match,$type,0)/$somm))/100;
?></td>
</tr>
<? echo ($type=="m")?"<tr>
    <td align=right class='trTitle'>au Final</td>
    <td align=right class='univers'>"
	.(-nb_gagn_perd($match,$type,0)+nb_gagn_perd($match,$type,1)+nb_gagn_perd($match,$type,2))
	."</td>
    <td></td>
</tr>":""; ?>
</table>


<br>


<table width="0" border="1" cellspacing="3" cellpadding="5" align=center>
<tr>
    <td align=right colspan=2 class='trTitle'>Repartition par Equipe</td>
    <td align=right class='trTitle'>%</td>
    <td align=right class='trTitle'>Cote</td>
</tr>
<tr>
    <td align=right class='trTitle'><? echo ($type=="m")?"total des Mises":"Nb total de Paris"; ?></td>
    <td align=right<? nb_joueurs_bet($match,'total',$type) ?></td>
    <td align=right>100</td>
    <td></td>
</tr>
<tr>
    <td align=right class='trTitle'><? nb_joueurs_bet($match,'Team1',$type) ?></td>
    <td align=right><?
$sum = nb_pour_cote($match,0,$type)+nb_pour_cote($match,1,$type)+nb_pour_cote($match,2,$type);
echo nb_pour_cote($match,1,$type); ?></td>
    <td align=right><?
echo ($sum==0)?"0":round(10000*(nb_pour_cote($match,1,$type)/$sum))/100;
?></td>
    <td align=right><?
echo (nb_pour_cote($match,1,$type)==0)
	?"N/A"
	:round(100*(((nb_pour_cote($match,0,$type)+nb_pour_cote($match,2,$type))/nb_pour_cote($match,1,$type))+1))/100;
?></td>
</tr>
<tr>
    <td align=right class='trTitle'>Nul</td>
    <td align=right><? echo nb_pour_cote($match,0,$type) ?></td>
    <td align=right><?
echo ($sum==0)?"0":round(10000*(nb_pour_cote($match,0,$type)/$sum))/100;
?></td>
    <td align=right><?
echo (nb_pour_cote($match,0,$type)==0)
	?"N/A"
	:round(100*(((nb_pour_cote($match,0,$type)+nb_pour_cote($match,2,$type))/nb_pour_cote($match,0,$type))+1))/100;
?></td>
</tr>
<tr>
    <td align=right class='trTitle'><? nb_joueurs_bet($match,'Team2',$type) ?></td>
    <td align=right><? echo nb_pour_cote($match,2,$type) ?></td>
    <td align=right><?
echo ($sum==0)?"0":round(10000*(nb_pour_cote($match,2,$type)/$sum))/100;
?></td>
    <td align=right><?
echo (nb_pour_cote($match,2,$type)==0)
	?"N/A"
	:round(100*(((nb_pour_cote($match,0,$type)+nb_pour_cote($match,2,$type))/nb_pour_cote($match,2,$type))+1))/100;
?></td>
</tr>
</table>



	</td>
	<td width=50%>



	<table width="0" border="1" cellspacing="3" cellpadding="5" align="center">
<tr>
	<td rowspan=2 colspan=2 class='trTitle'> Répartition des Paris
	</td>
	<td colspan=8 align=center class='trTitle'><? nb_joueurs_bet($match,'Team2',$type) ?>
	</td>
</tr>
<tr>
	<td class='trTitle'>0
	</td>
	<td class='trTitle'>1
	</td>
	<td class='trTitle'>2
	</td>
	<td class='trTitle'>3
	</td>
	<td class='trTitle'>4
	</td>
	<td class='trTitle'>5
	</td>
	<td class='trTitle'>6
	</td>
	<td class='trTitle'>+
	</td>
</tr>
<tr>
	<td rowspan=8 class='trTitle'><? nb_joueurs_bet($match,'Team1',$type) ?>
	</td>
	<td class='trTitle'>0
	</td>
	<td<? nb_joueurs_bet($match,'0-0',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'0-1',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'0-2',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'0-3',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'0-4',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'0-5',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'0-6',$type) ?>
	</td>
	<td rowspan=7<? nb_joueurs_bet($match,'sup2',$type) ?>
	</td>
</tr>
<tr>
	<td class='trTitle'>1
	</td>
	<td<? nb_joueurs_bet($match,'1-0',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'1-1',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'1-2',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'1-3',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'1-4',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'1-5',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'1-6',$type) ?>
	</td>
</tr>
<tr>
	<td class='trTitle'>2
	</td>
	<td<? nb_joueurs_bet($match,'2-0',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'2-1',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'2-2',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'2-3',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'2-4',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'2-5',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'2-6',$type) ?>
	</td>
</tr>
<tr>
	<td class='trTitle'>3
	</td>
	<td<? nb_joueurs_bet($match,'3-0',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'3-1',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'3-2',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'3-3',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'3-4',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'3-5',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'3-6',$type) ?>
	</td>
</tr>
<tr>
	<td class='trTitle'>4
	</td>
	<td<? nb_joueurs_bet($match,'4-0',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'4-1',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'4-2',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'4-3',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'4-4',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'4-5',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'4-6',$type) ?>
	</td>
</tr>
<tr>
	<td class='trTitle'>5
	</td>
	<td<? nb_joueurs_bet($match,'5-0',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'5-1',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'5-2',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'5-3',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'5-4',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'5-5',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'5-6',$type) ?>
	</td>
</tr>
<tr>
	<td class='trTitle'>6
	</td>
	<td<? nb_joueurs_bet($match,'6-0',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'6-1',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'6-2',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'6-3',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'6-4',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'6-5',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'6-6',$type) ?>
	</td>
</tr>
<tr>
	<td class='trTitle'>+
	</td>
	<td colspan=7<? nb_joueurs_bet($match,'sup1',$type) ?>
	</td>
	<td<? nb_joueurs_bet($match,'supN',$type) ?>
	</td>
</tr>
</table>
	
	
	</td>
</tr>
</table>

<p>&nbsp;</p>

<?
if ($match)
{
	echo "<table align=center border=0 cellpadding=4 cellspacing=4><tr align=center>";
	echo ($type=="m")?"<td colspan=4 class='trTitle'>Evolution</td>":"<td colspan=6 class='trTitle'>Evolution</td>";
	echo "</tr>";
	echo "<tr class='trTitle'>";
	echo "<td>Date</td>";
	echo ($type=="m")?"<td>Mises</td>":"<td>Parieurs</td>";
	echo "<td>% gain</td>";
	echo "<td>Gain</td>";
	echo ($type=="m")?"":"<td>% parieurs/totaux</td><td>Nbe joueurs totaux</td>";
	echo "</tr>";
	
	if ($Pas=="")$Pas = 86400; # en secondes = une ligne par jour
	
	# les dates d'ouverture et fermeture du match
	$iol = db_fetch_array(main_db_query("SELECT Date AS Dat FROM Matchs WHERE MatchId='$match'"));
	$dateFin = TimeToStr(lStrToTime($iol[Dat])+$Pas);
	$iol = db_fetch_array(main_db_query("SELECT ShowTime FROM Matchs WHERE MatchId='$match'"));
	$dateDepart = TimeToStr(lStrToTime($iol[ShowTime]));
	
	# calcule les dates max et min
	$dMax = db_fetch_array(main_db_query("SELECT MAX(Time) AS maxTime FROM Players"));
	$dMin = db_fetch_array(main_db_query("SELECT MIN(Time) AS minTime FROM Players"));
	$dateMax = (time_diff($dMax["maxTime"],$dateFin)>0)?$dMax["maxTime"]:$dateFin;
	$dateSup = (time_diff($dMin["minTime"],$dateDepart)<0)?$dMin["minTime"]:$dateDepart;
	$dateFin = $dateMax = ($dateMax)?$dateMax:$dMax["maxTime"];
	$dateDepart = $dateSup = ($dateSup)?$dateSup:$dMin["minTime"];
	
	$lastNbCibles = 0;
	$countORsum = ($type != 'n')?"SUM":"COUNT";

	while(time_diff($dateMax,$dateSup)<0)
	{
		$Requete = "SELECT ".$countORsum."(Amount) AS total FROM Paris WHERE MatchId='$match' AND Date <='".$dateSup."' ";
		$nbCibles = db_fetch_array(main_db_query($Requete));
		
		# pourcentage du gain en joueurs depuis le pas précédent
		if ($nbCibles[total]>0 && $lastNbCibles>0) $pcNbCibles = round(($nbCibles[total]-$lastNbCibles)*10000/$lastNbCibles)/100;
		elseif ($nbCibles[total]>0 && $lastNbCibles==0) $pcNbCibles = 100;
		else $pcNbCibles = 0;
		
		#calcul du gain en joueurs depuis le pas précédent
		$gain = $nbCibles[total]-$lastNbCibles;
		
		if ($type=="n")
		{
			# nbr total de joueurs
			$nbTotal = db_fetch_array(main_db_query("SELECT COUNT(Id) AS total FROM Players WHERE Time<='".$dateSup."'"));
			
			# % de joueurs ayant les caractéristiques par rapport au nbr total de joueurs
			$pcCibleTotal = ($nbTotal[total]>0)?round($nbCibles[total]*10000/$nbTotal[total])/100:0;
		}
		
		$m = $dateSup.";".
			$nbCibles[total].";".
			$pcNbCibles." %;".
			$gain.";";
		$m .= ($type=="m")?"":$pcCibleTotal." %;".$nbTotal[total].";";
		$m .= "\n";
		
		# DEBUG écran
		showRow($m);
		
		# incremente d'un pas
		$dateSup = TimeToStr(lStrToTime($dateSup)+$Pas);
		$lastNbCibles = $nbCibles[total];
	}

	echo "<tr class='trTitle'>";
	echo "<td>Date</td>";
	echo ($type=="m")?"<td>Mises</td>":"<td>Parieurs</td>";
	echo "<td>% gain</td>";
	echo "<td>Gain</td>";
	echo ($type=="m")?"":"<td>% parieurs/totaux</td><td>Nbe joueurs totaux</td>";
	echo "</tr>";
	echo "</table>";
}

?>

</BODY>
</HTML>
